<div class="fav-top-note"><?= __('top_favorites_note') ?></div>
<? if ($this->top10): ?>
	<div id="top-items" class="escorts">
		<? foreach ($this->top10 as $item): ?>
			<? if ( ! $item instanceof Model_EscortV2Item ): ?>
				<? $item = new Model_EscortV2Item($item);  ?>
			<? endif; ?>
			<div class="top-item" id="top-item-<?= $item['f_id'] ?>">
				<div class="rank">
					<div class="box">
						<div class="title"><?= __('rank_label') ?></div>
						<div class="number"><?= $item['rank'] ?></div>
					</div>
				</div>
				<div class="esc">
					<div class="escort prem">
						<div class="photo_wrap">
							<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>" class="showname"><?= $item['showname'] ?></a>
							<div class="esc-wrap esc-wrap-style-prem">
								<div class="wrap">
									<div class="image">
										<? if ($item['status'] != 32 || !$item['package_id']): ?>
										<div class="disable-over small">
											<div class="text"><?= __('currently_not_active') ?></div>
										</div>
										<? endif; ?>
										<? if ($item['is_new']): ?><span class="new"></span><? endif ?>
										<? if ($item['is_suspicious']): ?><span class="suspicious"></span><? endif ?>
										<? if ($item['verified_status'] == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?><span class="p100s-<?= $this->lang() ?>"></span><? endif; ?>

										<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
											<img class="escort-thumb" alt="" src="<?= $item->getMainPhoto()->getUrl('agency_p100') ?>" />
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="com">
					<div class="blocked">
						<div class="<? if ($item['type'] == 2): ?>none<? endif; ?>" id="blocked-<?= $item['f_id'] ?>">
							<? 
							if ($item['comment_status'] == 3) 
								echo __('top_favorites_comment_blocked');
							elseif ($item['comment_status'] == 1)
								echo 'Pending';
							?>
						</div>
					</div>
					<div class="com-text">
						<?= $item['comment'] ?>
					</div>
					<div class="actions">
						<? if ($item['rank'] == 1): ?>
							<div class="up-dis"></div>
						<? else: ?>
							<a href="#" class="up" title="<?= __('up') ?>" onclick="return Cubix.Favorites.Up(<?= $item['escort_id'] ?>)"></a>
						<? endif; ?>
						<? if ($item['rank'] == $this->max_rank): ?>
							<div class="down-dis"></div>
						<? else: ?>
							<a href="#" class="down" title="<?= __('down') ?>" onclick="return Cubix.Favorites.Down(<?= $item['escort_id'] ?>)"></a>
						<? endif; ?>

						<a href="#" class="remove" title="<?= __('remove') ?>" onclick="return Cubix.Favorites.RemoveFromTop10(<?= $item['escort_id'] ?>)"></a>
						
						<div class="type-public">
							<label>
								<div class="tt"><?= __('public') ?></div>
								<div><input type="radio" class="f-type" name="type_<?= $item['f_id'] ?>" id="type-<?= $item['f_id'] ?>" value="1" <? if ($item['type'] == 1): ?>checked="checked"<? endif; ?> onclick="return Cubix.Favorites.ChangeType(<?= $item['f_id'] ?>)" /></div>
							</label>
						</div>
						<div class="type-private">
							<label>
								<div class="tt"><?= __('private') ?></div>
								<div><input type="radio" class="f-type" name="type_<?= $item['f_id'] ?>" id="type-<?= $item['f_id'] ?>" value="2" <? if ($item['type'] == 2): ?>checked="checked"<? endif; ?> onclick="return Cubix.Favorites.ChangeType(<?= $item['f_id'] ?>)" /></div>
							</label>
						</div>
						
						<? if (isset($this->requests[$item['f_id']])): ?>
							<div class="f-reqs <? if ($item['type'] == 1): ?>none<? endif; ?>" id="c-<?= $item['f_id'] ?>" onclick="return Cubix.Favorites.OpenPopup(<?= $item['f_id'] ?>)">
								<?= count($this->requests[$item['f_id']]) ?>
							</div>
							<div class="fav-req-popup none" id="fr-popup-<?= $item['f_id'] ?>">
								<div class="fav-popup-top">
									<div class="title-wr">
										<div class="title"><?= __('your_commet_requested') ?></div>
										<a href="#" class="x" onclick="return Cubix.Favorites.X(<?= $item['f_id'] ?>)"></a>
									</div>
								</div>
								<div class="fav-popup-middle">
									<div class="cont">
										<div id="fav-popup-middle-wrap-<?= $item['f_id'] ?>">
											<? foreach ($this->requests[$item['f_id']] as $k => $v): ?>
												<div class="r-row" id="r-row-<?= $v['req_id'] ?>">
													<div class="name"><?= $v['name'] ?></div>
													<a href="#" onclick="return Cubix.Favorites.Share(<?= $v['req_id'] ?>, <?= $item['f_id'] ?>, 2)" class="sh" title="<?= __('share') ?>"></a>
													<a href="#" onclick="return Cubix.Favorites.Share(<?= $v['req_id'] ?>, <?= $item['f_id'] ?>, 3)" class="nsh" title="<?= __('not_share') ?>"></a>

													<div class="clear"></div>
												</div>
											<? endforeach; ?>
										</div>
									</div>
								</div>
								<div class="fav-popup-bottom"></div>
							</div>
						<? endif; ?>
						
						<div class="clear"></div>
					</div>
				</div>
				<div class="clear"></div>
			</div>
		<? endforeach; ?>
	</div>
<? else: ?>
	<?= __('no_escorts_found') ?>
<? endif; ?>
